Bug 164354 - [httx] xim uses different LE to gtk when no LE for locale
[httx] xim uses different LE to gtk when no LE for locale
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: im-sdk (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Jens Petersen
: i18n
Depends On: 139811
Blocks: IIIMF 168429
  Show dependency treegraph
 
Reported: 2005-07-27 03:02 EDT by Akira TAGOH
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0119
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 13:33:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2005-07-27 03:02:54 EDT
+++ This bug was initially created as a clone of Bug #139811 +++

Description of problem:
Start an gdm X session in a locale with no associated LE.
Then typically depending of the LEs installed httx will use
a different LE from what iiimgcf uses (I think it falls back
to the default dummy LE).

How reproducible:
every time.

Steps to Reproduce:
0. Start a X session in a locale without an associated LE.
1. Start a gtk app and use iiim.
2. Start a xim app and use iiim.
  
Actual results:
1. default LE (En) is used
2. Canna LE was used.

Expected results:
2. same as (1): default LE.

Additional info:
Perhaps some fallback code should be added to iiimxcf?
Comment 1 Lawrence Lim 2005-09-27 00:00:32 EDT
Will the fix in im-sdk-12.1.1-11.svn2435 be ported to RHEL4??
Comment 2 Jens Petersen 2005-09-29 22:28:15 EDT
I don't think this is serious to be worth backporting.
Comment 7 Jens Petersen 2005-11-30 03:29:23 EST
A patch has been committed into pkg cvs for rhel4 to address this issue.
Comment 10 Red Hat Bugzilla 2006-03-07 13:33:59 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0119.html

Note You need to log in before you can comment on or make changes to this bug.